% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 1.3 $
%%      $Date: 2005/10/20 08:17:02 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik fr die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


das ---> @det(sg,nom_acc,neu,strong).

der ---> @det(sg,nom,mas,strong).

% wir gedenken der Frau
% wir helfen der Frau
der ---> @det(sg,gen_dat,fem,strong).

% wir gedenken der Frauen/Mnner/Kinder
der ---> @det(pl,gen,_Genus,strong).

% dem Mann
dem ---> @det(sg,dat,mas_neu,strong).

% den Mann
den ---> @det(sg,acc,mas,strong).

% helfen den Frauen/Mnnern/Kinder
den ---> @det(pl,dat,_Genus,strong).

des ---> @det(sg,gen,mas_neu,strong).

die ---> @det(sg,nom_acc,fem,strong).

die ---> @det(pl,nom_acc,_Genus,strong).

all    ---> @det(strong).
ein    ---> (@det(weak),
            head:agr:num:sg).


hund   ---> @noun(mas),
           @noun_flex_fk(nfk_e1),
           @noun_flex_gen_e(plus),
           @noun_flex_dat_e(minus),
           @noun_flex_kumw(minus).

katze  ---> @noun(fem),
           @noun_flex_fk(nfk_n5),
           @noun_flex_e_vor_n(minus).

schaf  ---> @noun(neu),
           @noun_flex_fk(nfk_e1),
%           @noun_flex_gen_e(minus), % plus -> nur Schafes, minus -> nur Schafs
           @noun_flex_dat_e(minus).


ich    ---> @pronoun(first, sg,nom,_Genus).
du     ---> @pronoun(second,sg,nom,_Genus).
er     ---> @pronoun(third, sg,nom,mas).
ihm    ---> @pronoun(third, sg,dat,mas_neu).
ihn    ---> @pronoun(third, sg,acc,mas_neu).

red   ---> @mono_val_verb,
          @vflex_fk(v_weak),
             
          @vflex_ep(plus),
          @vflex_epp(plus),
          @vflex_sm(minus),
          @vflex_pl_n(minus),
          @vflex_em(minus),
          @vflex_bet1(plus).

bell  ---> @mono_val_verb,
          @vflex_fk(v_weak),
             
          @vflex_ep(minus),
          @vflex_sm(minus),
          @vflex_pl_n(minus),
          @vflex_em(minus),
          @vflex_bet1(plus).


jag   ---> @acc_bi_val_verb,
          @vflex_fk(v_weak),
             
          @vflex_ep(minus),
          @vflex_sm(minus),
          @vflex_pl_n(minus),
          @vflex_em(minus),
          @vflex_bet1(plus).

kenn --->  @acc_bi_val_verb,
          @past_stem(a_ kann),
          @part_stem(a_ kann),
           
          @vflex_fk(mixed),
            
          @vflex_ep(minus),
          @vflex_sm(minus),
          @vflex_pl_n(minus),
          @vflex_spe(minus),
          @vflex_tm(minus),
          @vflex_em(minus),
          @vflex_bet1(plus).

helf --->  @dat_bi_val_verb, 
          @pres2_stem(a_ hilf),
          @past_stem(a_ half),
          @part_stem(a_ holf),
          @conj_stem(a_ hlf),
            
          @vflex_fk(v_strong),
            
          @vflex_ep(minus),
          @vflex_evp(minus),
          @vflex_epp(plus),
          @vflex_sm(minus),
          @vflex_pl_n(minus),
          @vflex_spe(minus),
          @vflex_tm(minus),
          @vflex_em(minus),
            
          @vflex_bet1(plus).


geb   ---> @tri_val_verb,
          @pres2_stem(a_ gib),
          @past_stem(a_ gab),
          @part_stem(a_ geb),
          @conj_stem(a_ gb),
           
          @vflex_fk(v_strong),
            
          @vflex_ep(minus),
          @vflex_evp(minus),
          @vflex_epp(plus),
          @vflex_sm(minus),
          @vflex_pl_n(minus),
          @vflex_spe(minus),
          @vflex_tm(minus),
          @vflex_em(minus),

          @vflex_bet1(plus).


erinner ---> @np_pp_verb,
            @vflex_fk(v_weak),

            @vflex_ep(minus),
            @vflex_sm(minus),
            @vflex_pl_n(plus),
            @vflex_em(minus),
            @vflex_bet1(minus).

an    ---> @comp_prep_acc.

neben ---> @noun_mod_prep_dat.

neben ---> @verb_mod_prep_dat.




klug  ---> @mod_adj.





