% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: macros.pl,v $
%%  $Revision: 1.3 $
%%      $Date: 2005/10/20 08:17:02 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik für die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

:- multifile ':='/2.

det :=
 (word,
  head:det,
  subcat:[]).

det(DType) :=
 (stem,
  head:det,
  subcat:[],
  infl:affix:fk:DType).

% determiners and adjectives
num_case_gen_obj(Num,Case,Gen):=
 (head:agr:(num:Num,
            case:Case,
            gen:Gen)).

det(Num,Case,Gen,DType):=
  (@det,
   @num_case_gen_obj(Num,Case,Gen),
   head:agr:dtype:DType).

pronoun(Per,Num,Case,Gen):=
 (@num_case_gen_obj(Num,Case,Gen),
  word,
  head:(noun,
        agr:per:Per),
  subcat:[]).

noun(Genus) :=
 (stem,
  head:(noun,
        agr:(Agr,
            per:third,
            gen:Genus)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).

adj :=
 (stem,
  head:adj,
  subcat:[]).

mod_adj :=
 (@adj,
  head:(agr:Agr,
        mod:[(head:(noun,
                    agr:Agr),
              subcat:[_])])).

mod_adj(Num,Case,Gen) :=
 (@mod_adj,
  @num_case_gen_lexeme(Num,Case,Gen)).

prep :=
 (word,
  head:prep,
  subcat:[(head:noun,
           subcat:[]) ]).

comp_prep :=
 (@prep,
  head:mod:[]).

comp_prep_dat :=
 (@comp_prep,
  subcat:[head:agr:case:dat]).

comp_prep_acc :=
 (@comp_prep,
  subcat:[head:agr:case:acc]).

noun_mod_prep :=
 (@prep,
  head:mod:[(head:noun,
             subcat:[_])]).

noun_mod_prep_dat :=
 (@noun_mod_prep,
  subcat:[head:agr:case:dat]).

verb_mod_prep :=
 (@prep,
  head:mod:[head:verb]).

verb_mod_prep_dat :=
 (@verb_mod_prep,
  subcat:[head:agr:case:dat]).


verb :=
 (stem,
  head:verb).


mono_val_verb :=
 (@verb,
  subcat:[(head:(noun,
                 agr:case:nom),
           subcat:[])] ).

bi_val_verb :=
 (@verb,
  subcat:[(head:(noun,
                 agr:case:nom),
           subcat:[]),
          (head:noun,
           subcat:[])] ).

acc_bi_val_verb :=
 (@bi_val_verb,
  subcat:[_,
          (head:agr:case:acc)] ).

dat_bi_val_verb :=
 (@bi_val_verb,
  subcat:[_,
          (head:agr:case:dat)] ).

np_pp_verb :=
 (@verb,
  subcat:[ (head:(noun,
                  agr:case:nom),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]),
           (head:prep,
               subcat:[]) ] ).

tri_val_verb :=
 (@verb,
  subcat:[(head:(noun,
                 agr:case:nom),
           subcat:[]),
          (head:(noun,
                 agr:case:dat),
           subcat:[]),
          (head:(noun,
                 agr:case:acc),
           subcat:[])] ).

